Subject: Re: bug#50568: Missing source code

From: Ludovic Courtès <[email-masked]>
Date: Tue, 12 Oct 2021 11:50:07 +0200

Hi,

zimoun <[email-masked]> skribis:

> On Thu, 7 Oct 2021 at 15:53, Ludovic Courtès <[email-masked]> wrote:
>>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>> >   https://ci.guix.gnu.org/eval/27221?status=failed
>>
>> We’re left with the following missing bioconductor.org tarballs:
>>
>>   AnnotationFuncs_1.40.0.tar.gz
>
> I pick this one.  Cuirass says Succeeded with the log:
>
> https://ci.guix.gnu.org/build/1000819/log/raw
>
> Well, I do not know what is this 141.80.167.131 IP address.  Something
> related to Bayfront, right?
>
>
>>   AneuFinderData_1.18.0.tar.gz
>>   BiocCaseStudies_1.52.0.tar.gz
>>   chromstaRData_1.16.0.tar.gz
>>   genomationData_1.22.0.tar.gz
>
>> Zimoun, Ricardo: do you know how to address the bioconductor.org issue?
>
> From the evaluation you mention above, all these had succeeded.  Could
> you confirm it is fine?

It is: I fetched copies from bayfront, IIRC.

> BTW, for the interested reader, I would like to point this bug#39885
> [1] about Bioconductor, URI, fallback and time-machine which appears
> to me related.  In addition to the two options proposed, another one
> not listed but discussed elsewhere is to switch Bioconductor packages
> from url-fetch to git-fecth.
>
> 1: <http://issues.guix.gnu.org/issue/39885>

Very relevant!  How can we avoid those brittle bioconductor.org URLs?

Thanks,
Ludo’.